12d1:1038 Dual-Role OTG device on non-HNP port - unable to enumerate USB device on port 1

Bug #1047527 reported by benpicco on 2012-09-07
84
This bug affects 19 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Tim Gardner
Quantal
Undecided
Tim Gardner
Raring
Medium
Tim Gardner
Saucy
Medium
Tim Gardner

Bug Description

I'm using the xorg-edgers ppa which also provides the kernel from the upcoming Quantal release.
When I use the stock Precise kernel (3.2) everything works flawless, but
when I switch to the 3.5 kernel provided by xorg-edgers, I'm unable to
access the flash memory on my phone/use usb tethering, etc.

The related kernel messages that only show up with 3.5 are

[ 76.664029] usb 2-1: new high-speed USB device number 8 using ehci_hcd
[ 76.797001] usb 2-1: Dual-Role OTG device on non-HNP port
[ 76.797124] usb 2-1: can't set HNP mode: -32
[ 76.912049] usb 2-1: new high-speed USB device number 9 using ehci_hcd
[ 77.045508] usb 2-1: Dual-Role OTG device on non-HNP port
[ 77.045631] usb 2-1: can't set HNP mode: -32
[ 77.160030] usb 2-1: new high-speed USB device number 10 using ehci_hcd
[ 77.181203] usb 2-1: Dual-Role OTG device on non-HNP port
[ 77.181327] usb 2-1: can't set HNP mode: -32
[ 77.296020] usb 2-1: new high-speed USB device number 11 using ehci_hcd
[ 77.317026] usb 2-1: Dual-Role OTG device on non-HNP port
[ 77.317149] usb 2-1: can't set HNP mode: -32
[ 77.320024] hub 2-0:1.0: unable to enumerate USB device on port 1
[ 77.588029] usb 5-1: new full-speed USB device number 6 using uhci_hcd
[ 77.727240] usb 5-1: not running at top speed; connect to a high speed hub
[ 77.755253] usb 5-1: Dual-Role OTG device on non-HNP port
[ 77.758254] usb 5-1: can't set HNP mode: -32
[ 77.868015] usb 5-1: new full-speed USB device number 7 using uhci_hcd
[ 78.007389] usb 5-1: not running at top speed; connect to a high speed hub
[ 78.035406] usb 5-1: Dual-Role OTG device on non-HNP port
[ 78.038404] usb 5-1: can't set HNP mode: -32
[ 78.148044] usb 5-1: new full-speed USB device number 8 using uhci_hcd
[ 78.179479] usb 5-1: not running at top speed; connect to a high speed hub
[ 78.207494] usb 5-1: Dual-Role OTG device on non-HNP port
[ 78.210495] usb 5-1: can't set HNP mode: -32
[ 78.320013] usb 5-1: new full-speed USB device number 9 using uhci_hcd
[ 78.351570] usb 5-1: not running at top speed; connect to a high speed hub
[ 78.379585] usb 5-1: Dual-Role OTG device on non-HNP port
[ 78.382586] usb 5-1: can't set HNP mode: -32
[ 78.383586] hub 5-0:1.0: unable to enumerate USB device on port 1

The device then also fails to show up in lsusb.
With 3.2 it is listed as

Bus 002 Device 004: ID 12d1:1038 Huawei Technologies Co., Ltd. Ideos (debug mode)

My current kernel version is
Linux rechenknecht2k7 3.5.0-13-generic #13-Ubuntu SMP Tue Aug 28 08:31:47 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
---
ApportVersion: 2.0.1-0ubuntu12
Architecture: amd64
DistroRelease: Ubuntu 12.04
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
Tags: precise running-unity
Uname: Linux 3.6.0-030600rc4-generic x86_64
UnreportableReason: Dies ist kein offizielles Ubuntu-Paket. Bitte entfernen Sie alle Pakete von Drittanbietern und wiederholen Sie den Vorgang.
UpgradeStatus: Upgraded to precise on 2012-04-27 (132 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1047527

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: quantal

Hi Ben,

It would be good to first see if this bug is already fixed in the latest mainline kernel. Can you test the v3.6-rc4 kernel and post back if it also has the bug[0]?

If mainline also has the bug, we can start the kernel bisect process to identify the commit that caused this regression.

tags: added: performing-bisect
Joseph Salisbury (jsalisbury) wrote :

The latest mainline kernel can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc4-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium

Am Fri, 07 Sep 2012 18:11:36 -0000
schrieb Joseph Salisbury <email address hidden>:

> Hi Ben,
>
> It would be good to first see if this bug is already fixed in the
> latest mainline kernel. Can you test the v3.6-rc4 kernel and post
> back if it also has the bug[0]?
>
> If mainline also has the bug, we can start the kernel bisect process
> to identify the commit that caused this regression.
>
> ** Tags added: performing-bisect
>

With the mainline kernel from the ppa (Linux rechenknecht2k7
3.6.0-030600rc4-generic #201209011435 SMP Sat Sep 1 18:36:00 UTC 2012
x86_64 x86_64 x86_64 GNU/Linux) the issue still persists.
I've also tried the Ubuntu 12.10 Beta image, same issue in the live
session.

tags: added: apport-collected precise running-unity
description: updated

Thanks for testing.

To start he bisect, we first need to identify the first kernel after v3.2 that introduced the bug. Can you test the following kernels:

v3.3 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-precise/
v3.4 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-quantal/
v3.5-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc1-quantal/

You don't have to test all of them, just from older to newer until you find the first that has the bug. If none of them have the bug, we'll need to test additional v3.5 release candidates, rc2, rc3, etc.

The first kernel that has the bug is v3.4 final (3.4.0-030400-generic
#201205221131 SMP Tue May 22 15:32:22 UTC 2012 x86_64), 3.4-rc6
(3.4.0-030400rc6-generic #201205061835 SMP Sun May 6 22:36:08 UTC 2012
x86_64) is the last kernel that doesn't exhibit this behaviour.

Thanks for testing.

I'll start a bisect between v3.4-rc6 and v3.4 final and post a test kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

The first test kernel is built up to commit:
4e6304b8420aba5311ba21fd68dab2924ae4d91a

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1047527

Can you test that kernel and report back if it has the bug or not?

Am Wed, 12 Sep 2012 19:54:53 -0000
schrieb Joseph Salisbury <email address hidden>:

> The first test kernel is built up to commit:
> 4e6304b8420aba5311ba21fd68dab2924ae4d91a
>
> This kernel is available from:
> http://people.canonical.com/~jsalisbury/lp1047527
>
> Can you test that kernel and report back if it has the bug or not?
>

This one is bad.

I built the next test kernel, which is built up to commit:
7c283324da366a3e6ffaad4352a51a3c71fcae17

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1047527

Can you test that kernel and report back if it has the bug or not?

Am Mon, 17 Sep 2012 21:05:54 -0000
schrieb Joseph Salisbury <email address hidden>:

> I built the next test kernel, which is built up to commit:
> 7c283324da366a3e6ffaad4352a51a3c71fcae17
>
> This kernel is available from:
> http://people.canonical.com/~jsalisbury/lp1047527
>
> Can you test that kernel and report back if it has the bug or not?
>

This one is bad, too.
Btw, I think I could speed up the bisection process if I compile the
kernel myself, but where do I get the appropriate debian/ folder when I
follow https://wiki.ubuntu.com/Kernel/KernelBisection ?

Thanks for testing. I have the next test kernel building now.

There is some details of the build process at the following wiki:
https://wiki.ubuntu.com/Kernel/Dev/KernelBuildScripts

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is built up to commit:
22b6dd78aec32abf38d9b187dea2e0a8b28aa186

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1047527

Can you test that kernel and report back if it has the bug or not?

Am Wed, 19 Sep 2012 18:57:15 -0000
schrieb Joseph Salisbury <email address hidden>:

> I built the next test kernel, which is built up to commit:
> 22b6dd78aec32abf38d9b187dea2e0a8b28aa186
>
> This kernel is available from:
> http://people.canonical.com/~jsalisbury/lp1047527
>
> Can you test that kernel and report back if it has the bug or not?
>

This one is bad too.

I built the next test kernel, which is built up to commit:
4ed6cedeefe8bbcad7c446db939450a6c902c16d

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1047527

Can you test that kernel and report back if it has the bug or not?

Am Mon, 24 Sep 2012 21:46:30 -0000
schrieb Joseph Salisbury <email address hidden>:

> I built the next test kernel, which is built up to commit:
> 4ed6cedeefe8bbcad7c446db939450a6c902c16d
>
> This kernel is available from:
> http://people.canonical.com/~jsalisbury/lp1047527
>
> Can you test that kernel and report back if it has the bug or not?
>

This one also has the bug.

This is probably bug in OTG, read: http://forums.gentoo.org/viewtopic-t-906866-start-0.html

Recommendations from that page:
- Unset OTG in kernel config (under USB support) and compile a new kernel. There is no other way to fix this OTF.
OR
- Use a USB Hub. OTG only works on "direct" connections between a device and the root hub. If there is something in between HNP isn't called.

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, which is built up to commit:
301cdf5c75695addaaf3b4857b6df7a1d764503e

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1047527

Can you test that kernel and report back if it has the bug or not?

Joseph Salisbury (jsalisbury) wrote :

@Peter Junos,

Thanks for the link in comment #17, I'll take a look at it.

Am Fri, 28 Sep 2012 13:04:29 -0000
schrieb Joseph Salisbury <email address hidden>:

> I built the next test kernel, which is built up to commit:
> 301cdf5c75695addaaf3b4857b6df7a1d764503e
>
> This kernel is available from:
> http://people.canonical.com/~jsalisbury/lp1047527
>
> Can you test that kernel and report back if it has the bug or not?
>

This one is bad too.

I built the next test kernel, which is built up to commit:
2f978366984a418f38fcf44137be1fbc5a89cfd9

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1047527

Can you test that kernel and report back if it has the bug or not?

Joseph Salisbury (jsalisbury) wrote :

I will also build a test kernel with OTG disabled as mentioned in comment #17.

Peter Júnoš (petoju) wrote :

#22: disabling OTG (CONFIG_USB_OTG) helps, I have already built such kernel and it works as expected and it doesn't with OTG enabled.

Peter Júnoš (petoju) wrote :

And I forgot, that in my tests with vanilla kernel, bug appeared somewhere between v3.2 and v3.3, so bisecting everything after 3.3 should return status "bad".

Joseph Salisbury (jsalisbury) wrote :

@Peter Junos,

I wonder if you are seeing a different bug. Per comment #6, benpicco reports the first kernel that has the bug is v3.4 final.

@benpicco,

Just to confirm, you do not see this bug in v3.3 final:
v3.3 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-precise/

juniper (franz-angeli) wrote :

doesn't work also on 12.10 beta 2:

Linux g***** 3.5.0-16-generic #25-Ubuntu SMP Fri Sep 28 22:31:15 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[ 48.712017] usb 2-5: new high-speed USB device number 3 using ehci_hcd
[ 48.844864] usb 2-5: Dual-Role OTG device on non-HNP port
[ 48.844986] usb 2-5: can't set HNP mode: -32
[ 48.960016] usb 2-5: new high-speed USB device number 4 using ehci_hcd
[ 49.092864] usb 2-5: Dual-Role OTG device on non-HNP port
[ 49.092986] usb 2-5: can't set HNP mode: -32

Peter Júnoš (petoju) wrote :

@jsalisbury:
So he probably reported about Ubuntu-built kernel, I was reporting about *vanilla* kernel with full configs. I explored 3.3 kernel you mentioned, but it did not contain CONFIG_USB_OTG=y and therefore it has to work, as I said in #23.

Sorry for bad expression of my ideas, but I did not expect bisecting kernel config. Even bisecting config cannot reveal the root of the problem because this change happened somewhere earlier (before 3.3).

benpicco (benpicco) wrote :

Yes, I don't see the bug in 3.3 final from http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.3-precise/ but in 2f978366984a418f38fcf44137be1fbc5a89cfd9 (which is named -rc5, so it might be indeed a different config than http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc6-precise/ that I used).

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

@benpicco

Were you able to test the kernel mentioned in comment #21?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
benpicco (benpicco) wrote :

Yes, like I said it is bad too, but shows up as rc5, which is rather confusing.

Joseph Salisbury (jsalisbury) wrote :

Thanks for the update. I updated the bisect with your testing results. I built the next test kernel, which is built up to commit:
6a68b6f574c8ad2c1d90f0db8fd95b8abe8a0a73

This kernel is available from:
http://people.canonical.com/~jsalisbury/lp1047527

Can you test that kernel and report back if it has the bug or not?

Peter Júnoš (petoju) wrote :

Sorry for mistakes - I have tried multiple older and newer kernels (also 3.2) and bug depends on CONFIG_USB_OTG.

Joseph Salisbury (jsalisbury) wrote :

Thanks for the info, Peter. @benpicco, you can hold off on testing the kernel in comment #31. I'll build a Quantal kernel with CONFIG_USB_OTG disabled and post a link to it.

Am Thu, 11 Oct 2012 18:29:15 -0000
schrieb Joseph Salisbury <email address hidden>:

> Thanks for the update. I updated the bisect with your testing
> results. I built the next test kernel, which is built up to commit:
> 6a68b6f574c8ad2c1d90f0db8fd95b8abe8a0a73
>
> This kernel is available from:
> http://people.canonical.com/~jsalisbury/lp1047527
>
> Can you test that kernel and report back if it has the bug or not?

This one shows the same bad behaviour.

Ming Lei (tom-leiming) wrote :

CONFIG_USB_OTG may not be enabled for i386/amd64 because
ehci/uhci/xhci is not a otg controller and just a common host controller.

But it should be a usbcore bug.

Thanks,
--
Ming Lei

summary: - Dual-Role OTG device on non-HNP port - unable to enumerate USB device on
- port 1
+ 12d1:1038 Dual-Role OTG device on non-HNP port - unable to enumerate USB
+ device on port 1
Joseph Salisbury (jsalisbury) wrote :

@Ming Lei, so do you believe CONFIG_USB_OTG should be disabled in Quantal?

Joseph Salisbury (jsalisbury) wrote :

Possibly related to bug 1065964

Ming Lei (tom-leiming) wrote :

@Joseph Salisbury, yes, it is not needed at least in i386 and amd64.

For arm arch, some machine may need the option enabled if there are
otg controller integrated in the SoC.

Tim Gardner (timg-tpi) on 2012-10-23
Changed in linux (Ubuntu Quantal):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Raring):
assignee: nobody → Tim Gardner (timg-tpi)
status: Incomplete → In Progress
Tim Gardner (timg-tpi) on 2012-10-23
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel in -proposed (3.5.0-19.30) solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-quantal' to 'verification-done-quantal'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Peter Júnoš (petoju) wrote :

Thanks, the fix works.

tags: added: verification-done-quantal
removed: verification-needed-quantal
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-19.30

---------------
linux (3.5.0-19.30) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1078041

  [ Andy Whitcroft ]

  * [Config] update Vcs-git: to point to quantal
    - LP: #1069204

  [ Joseph Salisbury ]

  * SAUCE: ALSA: hda - add quirk for Thinkpad T430
    - LP: #1060372

  [ Tim Gardner ]

  * [Config] CONFIG_USB_OTG=n for all but armel/armhf
    - LP: #1047527
  * [Config] remove ndiswrapper from Provides:
    - LP: #1076395
  * [Config] ONFIG_AMD_IOMMU_V2=m
    - LP: #1071520

  [ Upstream Kernel Changes ]

  * kernel/sys.c: fix stack memory content leak via UNAME26
    - LP: #1065622, #1060521
    - CVE-2012-0957
  * use clamp_t in UNAME26 fix
    - LP: #1065622, #1060521
    - CVE-2012-0957
  * net: fix divide by zero in tcp algorithm illinois
    - LP: #1077091
    - CVE-2012-4565

  [ Wen-chien Jesse Sung ]

  * SAUCE: Bluetooth: Add a load_firmware callback to struct hci_dev
    - LP: #1065400
  * SAUCE: Bluetooth: Implement broadcom patchram firmware loader
    - LP: #1065400
  * SAUCE: Bluetooth: Add support for 13d3:3388 and 13d3:3389
    - LP: #1065400
 -- Luis Henriques <email address hidden> Tue, 13 Nov 2012 15:49:15 +0000

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Iggy (iggy-theiggy) wrote :

Seems like CONFIG_USB_OTG=y is being set again in newer kernels.

$ lsb_release -a
LSB Version: core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch:core-4.1-amd64:core-4.1-noarch:cxx-3.0-amd64:cxx-3.0-noarch:cxx-3.1-amd64:cxx-3.1-noarch:cxx-3.2-amd64:cxx-3.2-noarch:cxx-4.0-amd64:cxx-4.0-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-3.1-amd64:desktop-3.1-noarch:desktop-3.2-amd64:desktop-3.2-noarch:desktop-4.0-amd64:desktop-4.0-noarch:desktop-4.1-amd64:desktop-4.1-noarch:graphics-2.0-amd64:graphics-2.0-noarch:graphics-3.0-amd64:graphics-3.0-noarch:graphics-3.1-amd64:graphics-3.1-noarch:graphics-3.2-amd64:graphics-3.2-noarch:graphics-4.0-amd64:graphics-4.0-noarch:graphics-4.1-amd64:graphics-4.1-noarch:languages-3.2-amd64:languages-3.2-noarch:languages-4.0-amd64:languages-4.0-noarch:languages-4.1-amd64:languages-4.1-noarch:multimedia-3.2-amd64:multimedia-3.2-noarch:multimedia-4.0-amd64:multimedia-4.0-noarch:multimedia-4.1-amd64:multimedia-4.1-noarch:printing-3.2-amd64:printing-3.2-noarch:printing-4.0-amd64:printing-4.0-noarch:printing-4.1-amd64:printing-4.1-noarch:qt4-3.1-amd64:qt4-3.1-noarch:security-4.0-amd64:security-4.0-noarch:security-4.1-amd64:security-4.1-noarch
Distributor ID: Ubuntu
Description: Ubuntu Saucy Salamander (development branch)
Release: 13.10
Codename: saucy

$ uname -a
Linux iggy-XPS12 3.11.0-11-generic #17-Ubuntu SMP Tue Oct 1 19:42:04 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Tim Gardner (timg-tpi) on 2013-10-09
Changed in linux (Ubuntu Saucy):
status: Fix Released → In Progress
Tim Gardner (timg-tpi) on 2013-10-11
Changed in linux (Ubuntu Saucy):
status: In Progress → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-saucy' to 'verification-done-saucy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-saucy
Brad Figg (brad-figg) wrote :

This same patch was applied to both quantal and raring without regression. I'm marking it verification done.

tags: added: verification-done-saucy
removed: verification-needed-saucy
Launchpad Janitor (janitor) wrote :
Download full text (18.4 KiB)

This bug was fixed in the package linux - 3.11.0-13.20

---------------
linux (3.11.0-13.20) saucy; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1242793

  [ Paolo Pisati ]

  * [Config] amhf: VIRTIO_CONSOLE=y
    - LP: #1237982
  * [Config] AHCI_IMX=y
    - LP: #1240038

  [ Tim Gardner ]

  * [Config] CONFIG_USB_OTG=n for all arches
    - LP: #1047527
  * dm-raid4-5: Fix compile issues
    - LP: #1241086
  * [Config] CONFIG_DM_RAID45=m
    - LP: #1241086

  [ Upstream Kernel Changes ]

  * Revert "cw1200: Don't perform SPI transfers in interrupt context"
    - LP: #1237530
  * block: Fix bio_copy_data()
    - LP: #1237530
  * sysv: Add forgotten superblock lock init for v7 fs
    - LP: #1237530
  * bcache: Fix a dumb journal discard bug
    - LP: #1237530
  * bcache: Strip endline when writing the label through sysfs
    - LP: #1237530
  * bcache: Fix for when no journal entries are found
    - LP: #1237530
  * bcache: Fix a writeback performance regression
    - LP: #1237530
  * bcache: Fix a flush/fua performance bug
    - LP: #1237530
  * bcache: Fix a dumb CPU spinning bug in writeback
    - LP: #1237530
  * bcache: Fix a shrinker deadlock
    - LP: #1237530
  * bcache: Fix for handling overlapping extents when reading in a btree
    node
    - LP: #1237530
  * bcache: Fix flushes in writeback mode
    - LP: #1237530
  * kernel/reboot.c: re-enable the function of variable reboot_default
    - LP: #1237530
  * x86/reboot: Add quirk to make Dell C6100 use reboot=pci automatically
    - LP: #1237530
  * tools lib lk: Uninclude linux/magic.h in debugfs.c
    - LP: #1237530
  * x86, efi: Don't map Boot Services on i386
    - LP: #1237530
  * mei: make me client counters less error prone
    - LP: #1237530
  * mei: bus: stop wait for read during cl state transition
    - LP: #1237530
  * mei: cancel stall timers in mei_reset
    - LP: #1237530
  * tty: Fix SIGTTOU not sent with tcflush()
    - LP: #1237530
  * serial: tegra: fix tty-kref leak
    - LP: #1237530
  * serial: pch_uart: fix tty-kref leak in rx-error path
    - LP: #1237530
  * serial: pch_uart: fix tty-kref leak in dma-rx path
    - LP: #1237530
  * ARM: 7837/3: fix Thumb-2 bug in AES assembler code
    - LP: #1237530
  * staging: vt6656: [BUG] main_usb.c oops on device_close move flag
    earlier.
    - LP: #1237530
  * staging: vt6656: [BUG] iwctl_siwencodeext return if device not open
    - LP: #1237530
  * drm/i915/tv: clear adjusted_mode.flags
    - LP: #1237530
  * cw1200: Use a threaded oneshot irq handler for cw1200_spi
    - LP: #1237530
  * xhci: Ensure a command structure points to the correct trb on the
    command ring
    - LP: #1237530
  * xhci: Fix oops happening after address device timeout
    - LP: #1237530
  * USB: fix PM config symbol in uhci-hcd, ehci-hcd, and xhci-hcd
    - LP: #1237530
  * xhci: Fix race between ep halt and URB cancellation
    - LP: #1237530
  * USB: OHCI: accept very late isochronous URBs
    - LP: #1237530
  * USB: UHCI: accept very late isochronous URBs
    - LP: #1237530
  * USB: Fix breakage in ffs_fs_mount()
    - LP: #1237530
  * fsl/usb: Resolve PHY_CLK_VLD instability issue for ULPI phy
    - LP: #1237530
  *...

Changed in linux (Ubuntu Saucy):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released

Closing out linux (Ubuntu) task as in Trusty:
git clone git clone git://kernel.ubuntu.com/ubuntu/ubuntu-trusty.git && cd ubuntu-trusty && grep -r CONFIG_USB_OTG=
debian.master/changelog: * [Config] CONFIG_USB_OTG=n for all arches

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions